Subject: Sendmail failure not noticed by Pine 3.90

From: [email-masked] (Steve Patlan)
Date: 29 Aug 1994 20:38:03 -0500

I just tested a newly-compiled version of Pine 3.90 on my (BSDI BSD/386)
system.  My "sendmail" is in /usr/sbin, but Pine is hardcoded to look in
/usr/lib.  A quick edit and rebuild will cure that problem, but I noticed
that Pine did not pick up on the failure to send mail.  The error message
"/usr/lib/sendmail not found" would blap across the main menu, followed by
the Pine message "Mail Sent".  The debug file also indicated successful
transmission when in fact nothing of the sort had occurred. 

So, should Pine notice that this didn't work?  Isn't there a DOS-like
completion code it can check?  (But I guess a program that didn't run
can't very well set that code, now can it?)

==================================================================

Relevant portion of .pine-debug:

Debug output of the Pine program (at debug level 2).  Version 3.90
Mon Aug 29 20:02:26 1994
[SNIP!]
    ---- COMPOSE SCREEN (not in pico yet) ----
IMAP 20:2 8/29 mm_log babble: Find of mailbox outside context: /u/t/texmex/.pine-interrupted-mail

=== send called ===
Address book .addressbook (.addressbook) opened with 40 items
new win size -----<24 80>------
=== calling sendmail ===
Send SUCCESSFUL.
To: [email-masked]
Subject: Oh boy, once again
Message ID: <[email-masked]>

==================================================================

Steve Patlan
-- 
[email-masked]